Bug 507478 - wrong cpu clcok stepping of u7600
wrong cpu clcok stepping of u7600
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Prarit Bhargava
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-22 18:20 EDT by edu0a-adb
Modified: 2009-08-31 08:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-31 08:53:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description edu0a-adb 2009-06-22 18:20:27 EDT
Description of problem:
The cpu cannot be running at a right clock when the Stepspeed is enable.
The maximum clock of u7600 should be 1.2GHz
if enabled the stepspeed , the cpu only can run at 900 MHz....

Version-Release number of selected component (if applicable):
2.6.18-128.1.14.el5 (SMP)


Steps to Reproduce:
1.Disable EIST

Additional info:
/proc/cpuinfo :

# cat /proc/cpuinfo
processor : 0
vendor_id : GenuineIntel
cpu family : 6
model : 15
model name : Intel(R) Core(TM)2 CPU U7600 @ 1.20GHz
stepping : 2
cpu MHz : 900.000
cache size : 2048 KB
physical id : 0
siblings : 2
core id : 0
cpu cores : 2
apicid : 0
fpu : yes
fpu_exception : yes
cpuid level : 10
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm syscall nx lm constant_tsc pni monitor ds_cpl vmx est tm2 cx16 xtpr lahf_lm
bogomips : 2395.44
clflush size : 64
cache_alignment : 64
address sizes : 36 bits physical, 48 bits virtual
power management:

processor : 1
vendor_id : GenuineIntel
cpu family : 6
model : 15
model name : Intel(R) Core(TM)2 CPU U7600 @ 1.20GHz
stepping : 2
cpu MHz : 900.000
cache size : 2048 KB
physical id : 0
siblings : 2
core id : 1
cpu cores : 2
apicid : 1
fpu : yes
fpu_exception : yes
cpuid level : 10
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm syscall nx lm constant_tsc pni monitor ds_cpl vmx est tm2 cx16 xtpr lahf_lm
bogomips : 2479.67
clflush size : 64
cache_alignment : 64
address sizes : 36 bits physical, 48 bits virtual
power management:


-------------------------

#cpufreq-info
cpufrequtils 005: cpufreq-info (C) Dominik Brodowski 2004-2006
Report errors and bugs to cpufreq@vger.kernel.org, please.
analyzing CPU 0:
driver: acpi-cpufreq
CPUs which need to switch frequency at the same time: 0
hardware limits: 600 MHz - 900 MHz
available frequency steps: 900 MHz, 600 MHz
available cpufreq governors: ondemand, userspace, performance
current policy: frequency should be within 600 MHz and 900 MHz.
The governor "userspace" may decide which speed to use
within this range.
current CPU frequency is 900 MHz.
analyzing CPU 1:
driver: acpi-cpufreq
CPUs which need to switch frequency at the same time: 1
hardware limits: 600 MHz - 900 MHz
available frequency steps: 900 MHz, 600 MHz
available cpufreq governors: ondemand, userspace, performance
current policy: frequency should be within 600 MHz and 900 MHz.
The governor "userspace" may decide which speed to use
within this range.
current CPU frequency is 900 MHz.
Comment 1 Prarit Bhargava 2009-06-24 14:48:53 EDT
edu0a-adb@yahoo.com.hk,

Could you try:

1.  disable cpuspeed by executing 'chkconfig cpuspeed off'
2.  reboot
3.  cat /proc/cpuinfo and cut-and-paste the output into this BZ?

Thanks,

P.
Comment 2 edu0a-adb 2009-06-25 12:42:03 EDT
cat /proc/cpuinfo
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 15
model name      : Intel(R) Core(TM)2 CPU         U7600  @ 1.20GHz
stepping        : 2
cpu MHz         : 1197.032
cache size      : 2048 KB
physical id     : 0
siblings        : 2
core id         : 0
cpu cores       : 2
apicid          : 0
fpu             : yes
fpu_exception   : yes
cpuid level     : 10
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm syscall nx lm constant_tsc pni monitor ds_cpl vmx est tm2 cx16 xtpr lahf_lm
bogomips        : 2395.42
clflush size    : 64
cache_alignment : 64
address sizes   : 36 bits physical, 48 bits virtual
power management:

processor       : 1
vendor_id       : GenuineIntel
cpu family      : 6
model           : 15
model name      : Intel(R) Core(TM)2 CPU         U7600  @ 1.20GHz
stepping        : 2
cpu MHz         : 1197.032
cache size      : 2048 KB
physical id     : 0
siblings        : 2
core id         : 1
cpu cores       : 2
apicid          : 1
fpu             : yes
fpu_exception   : yes
cpuid level     : 10
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm syscall nx lm constant_tsc pni monitor ds_cpl vmx est tm2 cx16 xtpr lahf_lm
bogomips        : 2393.66
clflush size    : 64
cache_alignment : 64
address sizes   : 36 bits physical, 48 bits virtual
power management:
Comment 3 Prarit Bhargava 2009-08-03 09:06:48 EDT
The cpu frequencies are read from ACPI so this is likely a hardware vendor issue.

Can you use the F11 Live CD, boot, and do a cat /sys/devices/system/cpu/cpu?/cpufreq/scaling_available_frequencies ?

If 1.2GHz isn't listed in this file then this a HW issue, not an OS issue.

P.

Note You need to log in before you can comment on or make changes to this bug.